Option Strict Off
Option Explicit On
Module USBmAPI
	
	'---------------------------------------------------------------------------
	' USBm USB dynamic link library VB API
	'
	'
	' Author:           Robert Severson
	'
	' File:             USBmAPI.bas
	'
	' Creation Date:    2003-08-06 (project revamp)
	'
	' Description:      USB DLL for U4xx
	'
	' Copyright:        Copyright (C), Robert R. Severson 2003. All rights
	'                   reserved. Created in the year 2003 as an unpublished
	'                   copyright work. This program and the information
	'                   contained in it is property of Robert R. Severson
	'                   and may not be used, copied, or reproduced without
	'                   prior written permission of Robert R. Severson
	'
	'                   This software remains the property of Robert R.
	'                   Severson and is supplied under licence only. The use
	'                   of this software is permitted under the terms of that
	'                   licence only.
	'
	'---------------------------------------------------------------------------
	
	
	
	
	'---------------------------------------------------------------------------
	' USBm_NumberOfDevices
	'---------------------------------------------------------------------------
	Public Declare Function USBm_NumberOfDevices Lib "USBm.dll" () As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_DeviceValid
	'---------------------------------------------------------------------------
	Public Declare Function USBm_DeviceValid Lib "USBm.dll" (ByVal device As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_DeviceVID
	'---------------------------------------------------------------------------
	Public Declare Function USBm_DeviceVID Lib "USBm.dll" (ByVal device As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_DevicePID
	'---------------------------------------------------------------------------
	Public Declare Function USBm_DevicePID Lib "USBm.dll" (ByVal device As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_DeviceDID
	'---------------------------------------------------------------------------
	Public Declare Function USBm_DeviceDID Lib "USBm.dll" (ByVal device As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_DeviceFirmwareVer
	'---------------------------------------------------------------------------
	Public Declare Function USBm_DeviceFirmwareVer Lib "USBm.dll" (ByVal device As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_DeviceMfr
	'---------------------------------------------------------------------------
	Public Declare Function USBm_DeviceMfr Lib "USBm.dll" (ByVal device As Byte, ByVal manufacturer As String) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_DeviceProd
	'---------------------------------------------------------------------------
	Public Declare Function USBm_DeviceProd Lib "USBm.dll" (ByVal device As Byte, ByVal product As String) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_DeviceSer
	'---------------------------------------------------------------------------
	Public Declare Function USBm_DeviceSer Lib "USBm.dll" (ByVal device As Byte, ByVal product As String) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_RecentError
	'---------------------------------------------------------------------------
	Public Declare Function USBm_RecentError Lib "USBm.dll" (ByVal errorstring As String) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_ClearRecentError
	'---------------------------------------------------------------------------
	Public Declare Function USBm_ClearRecentError Lib "USBm.dll" () As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_DebugString
	'---------------------------------------------------------------------------
	Public Declare Function USBm_DebugString Lib "USBm.dll" (ByVal debugstrng As String) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_WriteDevice
	'---------------------------------------------------------------------------
	Public Declare Function USBm_WriteDevice Lib "USBm.dll" (ByVal device As Byte, ByRef data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_ReadDevice
	'---------------------------------------------------------------------------
	Public Declare Function USBm_ReadDevice Lib "USBm.dll" (ByVal device As Byte, ByRef data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_SetReadTimeout
	'---------------------------------------------------------------------------
	Public Declare Function USBm_SetReadTimeout Lib "USBm.dll" (ByVal timeout As Short) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_FindDevices
	'---------------------------------------------------------------------------
	Public Declare Function USBm_FindDevices Lib "USBm.dll" () As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_CloseDevice
	'---------------------------------------------------------------------------
	Public Declare Function USBm_CloseDevice Lib "USBm.dll" (ByVal device As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_Copyright
	'---------------------------------------------------------------------------
	Public Declare Function USBm_Copyright Lib "USBm.dll" (ByVal copyrightstring As String) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_About
	'---------------------------------------------------------------------------
	Public Declare Function USBm_About Lib "USBm.dll" (ByVal errorstring As String) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_Version
	'---------------------------------------------------------------------------
	Public Declare Function USBm_Version Lib "USBm.dll" (ByVal versionstring As String) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_InitPorts
	'---------------------------------------------------------------------------
	Public Declare Function USBm_InitPorts Lib "USBm.dll" (ByVal device As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_WriteA
	'---------------------------------------------------------------------------
	Public Declare Function USBm_WriteA Lib "USBm.dll" (ByVal device As Byte, ByVal data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_WriteB
	'---------------------------------------------------------------------------
	Public Declare Function USBm_WriteB Lib "USBm.dll" (ByVal device As Byte, ByVal data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_WriteABit
	'---------------------------------------------------------------------------
	Public Declare Function USBm_WriteABit Lib "USBm.dll" (ByVal device As Byte, ByVal and_term As Byte, ByVal or_term As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_WriteBBit
	'---------------------------------------------------------------------------
	Public Declare Function USBm_WriteBBit Lib "USBm.dll" (ByVal device As Byte, ByVal and_term As Byte, ByVal or_term As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_ReadA
	'---------------------------------------------------------------------------
	Public Declare Function USBm_ReadA Lib "USBm.dll" (ByVal device As Byte, ByRef data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_ReadB
	'---------------------------------------------------------------------------
	Public Declare Function USBm_ReadB Lib "USBm.dll" (ByVal device As Byte, ByRef data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_SetBit
	'---------------------------------------------------------------------------
	Public Declare Function USBm_SetBit Lib "USBm.dll" (ByVal device As Byte, ByVal Bit As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_ResetBit
	'---------------------------------------------------------------------------
	Public Declare Function USBm_ResetBit Lib "USBm.dll" (ByVal device As Byte, ByVal Bit As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_DirectionA
	'---------------------------------------------------------------------------
	Public Declare Function USBm_DirectionA Lib "USBm.dll" (ByVal device As Byte, ByVal dir0 As Byte, ByVal dir1 As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_DirectionB
	'---------------------------------------------------------------------------
	Public Declare Function USBm_DirectionB Lib "USBm.dll" (ByVal device As Byte, ByVal dir0 As Byte, ByVal dir1 As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_StrobeWrite
	'---------------------------------------------------------------------------
	Public Declare Function USBm_StrobeWrite Lib "USBm.dll" (ByVal device As Byte, ByVal data As Byte, ByVal port As Byte, ByVal sel As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_StrobeRead
	'---------------------------------------------------------------------------
	Public Declare Function USBm_StrobeRead Lib "USBm.dll" (ByVal device As Byte, ByRef data As Byte, ByVal port As Byte, ByVal sel As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_StrobeWrite2
	'---------------------------------------------------------------------------
	Public Declare Function USBm_StrobeWrite2 Lib "USBm.dll" (ByVal device As Byte, ByVal data As Byte, ByVal port As Byte, ByVal sel As Byte, ByVal length As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_StrobeRead2
	'---------------------------------------------------------------------------
	Public Declare Function USBm_StrobeRead2 Lib "USBm.dll" (ByVal device As Byte, ByRef data As Byte, ByVal port As Byte, ByVal sel As Byte, ByVal length As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_StrobeWrites
	'---------------------------------------------------------------------------
	Public Declare Function USBm_StrobeWrites Lib "USBm.dll" (ByVal device As Byte, ByRef count As Byte, ByRef data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_StrobeReads
	'---------------------------------------------------------------------------
	Public Declare Function USBm_StrobeReads Lib "USBm.dll" (ByVal device As Byte, ByRef count As Byte, ByRef data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_InitLCD
	'---------------------------------------------------------------------------
	Public Declare Function USBm_InitLCD Lib "USBm.dll" (ByVal device As Byte, ByVal sel As Byte, ByVal port As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_LCDCmd
	'---------------------------------------------------------------------------
	Public Declare Function USBm_LCDCmd Lib "USBm.dll" (ByVal device As Byte, ByVal data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_LCDData
	'---------------------------------------------------------------------------
	Public Declare Function USBm_LCDData Lib "USBm.dll" (ByVal device As Byte, ByVal data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_InitSPI
	'---------------------------------------------------------------------------
	Public Declare Function USBm_InitSPI Lib "USBm.dll" (ByVal device As Byte, ByVal data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_SPIMaster
	'---------------------------------------------------------------------------
	Public Declare Function USBm_SPIMaster Lib "USBm.dll" (ByVal device As Byte, ByRef count As Byte, ByRef data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_SPISlaveWrite
	'---------------------------------------------------------------------------
	Public Declare Function USBm_SPISlaveWrite Lib "USBm.dll" (ByVal device As Byte, ByVal index As Byte, ByRef data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_SPISlaveRead
	'---------------------------------------------------------------------------
	Public Declare Function USBm_SPISlaveRead Lib "USBm.dll" (ByVal device As Byte, ByRef count As Byte, ByRef data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_Stepper
	'---------------------------------------------------------------------------
	Public Declare Function USBm_Stepper Lib "USBm.dll" (ByVal device As Byte, ByVal channel As Byte, ByVal enable As Byte, ByVal direction As Byte, ByVal steptype As Byte, ByVal initial As Byte, ByVal steprate As Byte, ByVal steps As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_Reset1Wire
	'---------------------------------------------------------------------------
	Public Declare Function USBm_Reset1Wire Lib "USBm.dll" (ByVal device As Byte, ByRef data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_Write1Wire
	'---------------------------------------------------------------------------
	Public Declare Function USBm_Write1Wire Lib "USBm.dll" (ByVal device As Byte, ByVal data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_Read1Wire
	'---------------------------------------------------------------------------
	Public Declare Function USBm_Read1Wire Lib "USBm.dll" (ByVal device As Byte, ByRef data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_Write1WireBit
	'---------------------------------------------------------------------------
	Public Declare Function USBm_Write1WireBit Lib "USBm.dll" (ByVal device As Byte, ByVal data As Byte) As Short
	
	
	'---------------------------------------------------------------------------
	' USBm_Read1WireBit
	'---------------------------------------------------------------------------
	Public Declare Function USBm_Read1WireBit Lib "USBm.dll" (ByVal device As Byte, ByRef data As Byte) As Short
End Module